﻿Public Class Form1
    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()
        InitializeChart()
        ' Add any initialization after the InitializeComponent() call.
    End Sub

    Private datatable1 As Steema.TeeChart.Tools.DataTableTool
    Private OLeftPosition, OMarginBottom, OBottomPosition As Integer

    Private Sub InitializeChart()
        TChart1.Dock = DockStyle.Fill
        Dim bar1 As New Steema.TeeChart.Styles.Bar(TChart1.Chart)
        Dim bar2 As New Steema.TeeChart.Styles.Bar(TChart1.Chart)
        datatable1 = New Steema.TeeChart.Tools.DataTableTool(TChart1.Chart)

        bar1.FillSampleValues(5)
        bar2.FillSampleValues(5)
        TChart1.Axes.Bottom.Labels.Items.Clear()
        For i As Integer = 0 To bar1.Count - 1
            TChart1.Axes.Bottom.Labels.Items.Add(bar1.XValues(i), "Label:" & bar1.XValues(i).ToString() & "0000")
        Next
        TChart1.Axes.Bottom.Labels.Angle = 90
        datatable1.ColumnPen.Visible = True
        datatable1.RowPen.Visible = True
        datatable1.ColumnPen.Color = Color.Black
        datatable1.RowPen.Color = Color.Black
        datatable1.AutoPosition = False
        TChart1.Draw()
        OLeftPosition = TChart1.Axes.Left.Position
        OMarginBottom = TChart1.Panel.MarginBottom
        OBottomPosition = TChart1.Axes.Bottom.Position
        AddHandler TChart1.AfterDraw, AddressOf tChart1_AfterDraw
        TChart1.Draw()
        TChart1.Draw()
    End Sub

    Private Sub tChart1_AfterDraw(ByVal sender As Object, ByVal g As Steema.TeeChart.Drawing.Graphics3D)
        TChart1.Panel.MarginLeft = Math.Abs(TChart1.Axes.Bottom.MaxLabelsWidth() - OLeftPosition)
        datatable1.Left = 0
        TChart1.Panel.MarginBottom = (TChart1.Axes.Bottom.MaxLabelsWidth() / 2) - OMarginBottom
        datatable1.Top = TChart1.Axes.Bottom.Position + TChart1.Axes.Bottom.MaxLabelsWidth()
    End Sub

End Class

